com.brightcove.player.accessibility

## Class BaseVideoViewAccessibilityDelegate

- java.lang.Object
- - android.view.View.AccessibilityDelegate
  - - com.brightcove.player.accessibility.BaseVideoViewAccessibilityDelegate

-     public class BaseVideoViewAccessibilityDelegate
      extends android.view.View.AccessibilityDelegate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseVideoViewAccessibilityDelegate(BaseVideoView baseVideoView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onInitializeAccessibilityNodeInfo(android.view.View host, android.view.accessibility.AccessibilityNodeInfo info)`
    `void` | `onPopulateAccessibilityEvent(android.view.View host, android.view.accessibility.AccessibilityEvent event)`

    - ### Methods inherited from class android.view.View.AccessibilityDelegate

      `addExtraDataToAccessibilityNodeInfo, dispatchPopulateAccessibilityEvent, getAccessibilityNodeProvider, onInitializeAccessibilityEvent, onRequestSendAccessibilityEvent, performAccessibilityAction, sendAccessibilityEvent, sendAccessibilityEventUnchecked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseVideoViewAccessibilityDelegate

          public BaseVideoViewAccessibilityDelegate(BaseVideoView baseVideoView)

  - ### Method Detail

    - #### onInitializeAccessibilityNodeInfo

          public void onInitializeAccessibilityNodeInfo(android.view.View host,
                                                        android.view.accessibility.AccessibilityNodeInfo info)

      Overrides:
        `onInitializeAccessibilityNodeInfo` in class `android.view.View.AccessibilityDelegate`

    - #### onPopulateAccessibilityEvent

          public void onPopulateAccessibilityEvent(android.view.View host,
                                                   android.view.accessibility.AccessibilityEvent event)

      Overrides:
        `onPopulateAccessibilityEvent` in class `android.view.View.AccessibilityDelegate`